Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.query.spi
Class ReturnMetadata

    java.lang.Object
      org.hibernate.engine.query.spi.ReturnMetadata

All Implemented Interfaces:
  Serializable

    public class ReturnMetadata

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`ReturnMetadata(String[] returnAliases, Type[] returnTypes)`

Method Summary
`String[]` | `getReturnAliases()`
`Type[]` | `getReturnTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReturnMetadata

    public ReturnMetadata(String[] returnAliases,
                          Type[] returnTypes)

Method Detail

### getReturnAliases

    public String[] getReturnAliases()

### getReturnTypes

    public Type[] getReturnTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.